<?php

namespace Drupal\permissions_repository\Routing;

use Drupal\Core\Routing\RouteSubscriberBase;
use Symfony\Component\Routing\RouteCollection;
use Drupal\permissions_repository\Form\PermissionsRepositoryForm;

/**
 * Override admin/people/permissions.
 */
class RouteSubscriber extends RouteSubscriberBase {

  /**
   * {@inheritdoc}
   */
  protected function alterRoutes(RouteCollection $collection) {
    $route = $collection->get('user.admin_permissions');
    if ($route) {
      $route->setDefault('_form', PermissionsRepositoryForm::class);
    }
  }

}
